Name:           perl-Catalyst-Plugin-Compress
Version:        0.006
Release:        3%{?dist}
Summary:        Compress response
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Catalyst-Plugin-Compress/
Source0:        http://www.cpan.org/modules/by-module/Catalyst/Catalyst-Plugin-Compress-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl(Catalyst::Utils)
BuildRequires:  perl(Config)
BuildRequires:  perl(Cwd)
BuildRequires:  perl(Fcntl)
BuildRequires:  perl(File::Find)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(FindBin)
BuildRequires:  perl(List::Util)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Catalyst::Runtime) >= 5.80001
BuildRequires:  perl(Compress::Bzip2) >= 2
BuildRequires:  perl(Compress::Zlib)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(ExtUtils::MM_Unix)
BuildRequires:  perl(MRO::Compat)
BuildRequires:  perl(strict)
BuildRequires:  perl(vars)
BuildRequires:  perl(warnings)
Requires:       perl(Catalyst::Runtime) >= 5.80001
Requires:       perl(Compress::Bzip2) >= 2
Requires:       perl(Compress::Zlib)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module combines Catalyst::Plugin::Deflate, Catalyst::Plugin::Gzip
and Catalyst::Plugin::Zlib into one.
It compress response to gzip, bzip2, zlib and deflate if client supports it.

%prep
%setup -q -n Catalyst-Plugin-Compress-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor --skipdeps
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.006-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 08 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.006-2
- Perl 5.22 rebuild

* Thu Jan 15 2015 Sven Nierlein <sven.nierlein@consol.de> 0.006-1
- new upstream version

* Tue Sep 02 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.005-6
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.005-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat May 24 2014 Sven Nierlein <sven.nierlein@consol.de> 0.005-4
- updated build requires according to review request
- removed duplicate requires which are autodetected

* Tue May 20 2014 Sven Nierlein <sven.nierlein@consol.de> 0.005-3
- updated build requires according to cpanspec
- added perl compat requires

* Sun Apr 06 2014 Sven Nierlein <sven.nierlein@consol.de> 0.005-2
- used description from the module itself
- removed unnecessary build steps
- added perl build requires
- use DESTDIR as install target folder

* Sun Mar 23 2014 Sven Nierlein <sven.nierlein@consol.de> 0.005-1
- Specfile created
